%define rdnsname io.github.benjamimgois.goverlay

# Comment %%rc if it's a main release.
%define _vrc 3
%define _uver %{version}%{?_vrc:-%_vrc}

Name:           goverlay
Version:        1.3
Release:        %mkrel %{?_vrc:0.rc%{_vrc}.}1
Summary:        Graphical UI to help manage Vulkan/OpenGL overlays
Group:          Graphics/Utilities
License:        GPLv3
URL:            https://github.com/benjamimgois/goverlay
Source0:        https://github.com/benjamimgois/goverlay/archive/%{_uver}/%{name}-%{_uver}.tar.gz
Patch0:         goverlay-enable-debuginfo-generation.patch

BuildRequires:  lazarus
BuildRequires:  qt6pas-devel

Requires:       mangohud

Recommends:     git
Recommends:     mesa-demos
Recommends:     vkbasalt
Recommends:     vulkan-tools

%description
GOverlay is an opensource project that aims to create a graphical UI to
help manage Vulkan/OpenGL overlays. Currently supported:

- MangoHUD
- vkBasalt

%prep
%autosetup -p1 -n %{name}-%{_uver}

%build
%set_build_flags
%make_build

%install
%make_install prefix=%{_prefix}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{rdnsname}.desktop
%{_datadir}/metainfo/%{rdnsname}.metainfo.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_libexecdir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed Jun 25 2025 aurr <aurr> 1.3-0.rc3.1.mga10
+ Revision: 2194839
- try to fix spec file illegal name use
- new version: 1.3-3

* Mon Jan 02 2023 ghibo <ghibo> 0.9.1-1.mga9
+ Revision: 1929146
- Updates to release 0.9.1

* Tue Mar 29 2022 akien <akien> 0.8.1-2.mga9
+ Revision: 1832368
- Remove ExclusiveArch, this was meant for Mageia 8

* Sat Mar 26 2022 akien <akien> 0.8.1-1.1.mga9
+ Revision: 1827274
- Disable build on aarch64 and armv7, it crashes

* Fri Mar 25 2022 akien <akien> 0.8.1-1.mga9
+ Revision: 1825828
- Version 0.8.1
- Use Mageia build flags
- Recommend vkbasalt now that it's packaged

* Fri Oct 16 2020 akien <akien> 0.3.8-1.mga8
+ Revision: 1636448
- Version 0.3.8
- Version 0.3.6

* Mon Jul 06 2020 akien <akien> 0.3.5-1.mga8
+ Revision: 1602481
- Version 0.3.5

* Fri Mar 13 2020 akien <akien> 0.2-1.mga8
+ Revision: 1556067
- Version 0.2

* Tue Mar 10 2020 akien <akien> 0.1.3-1.mga8
+ Revision: 1555273
- imported package goverlay

